unit XYZSvc;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, SvcMgr, Dialogs;

type
  TXYZService = class(TService)
    procedure ServiceStart(Sender: TService; var Started: Boolean);
    procedure ServiceStop(Sender: TService; var Stopped: Boolean);
  private
    { Private declarations }
  public
    function GetServiceController: TServiceController; override;
    { Public declarations }
  end;

var
  XYZService: TXYZService;

implementation

uses
  XYZForm;

{$R *.DFM}

procedure ServiceController(CtrlCode: DWord); stdcall;
begin
  XYZService.Controller(CtrlCode);
end;

function TXYZService.GetServiceController: TServiceController;
begin
  Result := ServiceController;
end;

procedure TXYZService.ServiceStart(Sender: TService;
  var Started: Boolean);
begin
  PostMessage(XYZMainForm.Handle, XYZ_INITIALIZE, 1, 0);
  Started:= True;
end;

procedure TXYZService.ServiceStop(Sender: TService;
  var Stopped: Boolean);
begin
  PostMessage(XYZMainForm.Handle, WM_QUIT, 0, 0);
  Stopped := True;
end;

end.
